### Method

# Gtk GestureStylus get_axes

#### Declaration [src]

    gboolean
    gtk_gesture_stylus_get_axes (
      GtkGestureStylus* gesture,
      GdkAxisUse* axes,
      double** values
    )

#### Description [src]

Returns the current values for the requested `axes`.

This function must be called from the handler of one of the `GtkGestureStylus::down`, `GtkGestureStylus::motion`, `GtkGestureStylus::up` or `GtkGestureStylus::proximity` signals.

#### Parameters

`axes`

  Type: An array of `GdkAxisUse`

  Array of requested axes, terminated with `GDK_AXIS_IGNORE`.

  The data is owned by the caller of the method.

`values`

  Type: An array of `double*`

  Return location for the axis values.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if there is a current value for the axes.